Summary: Module utilities and kerneld
Name: modutils
Version: 2.1.85
Release: 6
Copyright: GPL
Group: Utilities/System
Source: ftp://ftp.redhat.com/pub/alphabits/modutils-2.1.85.tar.gz
Source1: kerneld.init
Patch0: modutils-2.1.55-autoload.patch
Patch1: modutils-2.1.55-nowarning.patch

# XXX following 3 patches are from ultrapenguin -- not yet applied.
Patch2: modutils-2.1.85-CVS980505.patch
Patch3: modutils-2.1.85-sparckludge.patch
Patch4: modutils-2.1.85-keyword.patch

Patch5: modutils-2.1.85-static.patch
Patch6: modutils-2.1.85-preferred.patch
Patch7: modutils-2.1.85-rh.patch
Exclusiveos: Linux
Buildroot: /var/tmp/modutils-root
Prereq: /sbin/chkconfig
Summary(de): Module-Utilities und kerneld 
Summary(fr): Utiltaires de modules et kerneld
Summary(tr): Modl programlar ve kerneld

%description
The Linux kernel allows new kernel pieces to be loaded and old ones to
be unloaded while the kernel continues to run. These loadable piecs
are called modules, and can include device drivers and filesystems among
other things. This package includes program to load and unload programs
both automatically and manually.

%description -l de
Der Linux-Kernel gestattet es, Kernelteile zu laden und alte zu entladen, 
whrend der Kernel weiterluft. Diese ladbaren Teile heien Module und 
knnen unter anderem Gertetreiber und Dateisysteme sein. Das Paket enthlt
Programme zum automatischen und manuellen Laden und Entladen von Programmen. 

%description -l fr
Le noyau Linux permet  de nouvelles parties d'tre charges et aux
anciennes d'tre dcharges pendant que le noyau continue  tourner.
Ces parties chargeables s'appellent des modules et peuvent inclure des
pilotes de priphriques et des systmes de fichiers, entre autres.
Ce paquetage contient un programme pour charger et dcharger automatiquement
ou manuellement des programmes.

%description -l tr
Linux ekirdei, alma annda yeni ekirdek paralarnn yklenmesine ve
eski paralarn kaldrlmasna izin verir. Bu yklenebilir ekirdek paralar
'modl' olarak isimlendirilir ve bunlar arasnda aygt srcleri ve dosya
sistemleri saylabilir. Bu paket, programlarn yklenmesi ve kaldrlmasn
hem otomatik hem de elle yapmaya izin veren programlar iermektedir.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

#%ifarch sparc
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1
#%endif

%patch5 -p1 -b .dyn
%patch6 -p1 -b .preferred
%patch7 -p1 -b .rh

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --disable-combined-insmod
make dep all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/{usr/man/man{1,2,8},sbin}
make install prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT
(cd kerneld; 
make install-scripts prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT
)
# security hole, works poorly anyway
rm -f $RPM_BUILD_ROOT/sbin/request-route
strip $RPM_BUILD_ROOT/sbin/* || :
install -m 755 $RPM_SOURCE_DIR/kerneld.init $RPM_BUILD_ROOT/etc/rc.d/init.d/kerneld

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add kerneld

%postun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del kerneld
fi

%files
%defattr(-,root,root)
/sbin/*
/usr/man/*/*
%config /etc/rc.d/init.d/kerneld

%changelog
* Tue Jul 28 1998 Jeff Johnson <jbj@redhat.com>
- pick up ultrapenguin patches (not applied for now).
- pre-generate keyword.c so gperf doesn't have to be present (not applied).
- util/sys_cm.c: fix create_module syscall (signed return on sparc too)

* Wed Jul 15 1998 Jeff Johnson <jbj@redhat.com>
- correct %postun typos

* Fri May 01 1998 Erik Troan <ewt@redhat.com>
- added /lib/modules/preferred to search path

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.1.85
- actually make use of the BuildRoot

* Fri Apr  3 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Fix sparc64, add modinfo64 on sparc.

* Wed Mar 23 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Handle EM_SPARCV9, kludge to support both 32bit and 64bit kernels
  from the same package on sparc/sparc64.

* Fri Nov  7 1997 Michael Fulbright
- removed warning message when conf.modules exists and is a empty

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>
- patched to honor -k in options
- added modprobe.1
- added init script

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- removed bogus strip of lsmod (which is a script)

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- updated to 2.1.55
- builds in a buildroot

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- added insmod.static

* Sun Aug 24 1997 Erik Troan <ewt@redhat.com>
- built on Intel
- combined rmmod and insmod
